Bug 1322484 - ceilometer-alarm-(evaluator|notifier) services running/enabled when aodh is installed
Summary: ceilometer-alarm-(evaluator|notifier) services running/enabled when aodh is i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 14:43 UTC by Yurii Prokulevych
Modified: 2016-08-11 11:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 11:30:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC
OpenStack gerrit 299462 None None None 2016-05-19 13:48:13 UTC

Description Yurii Prokulevych 2016-03-30 14:43:20 UTC
Description of problem:
Fresh installation with director. 
AODH, new alarming, is installed/configured on undercloud.
openstack-ceilometer-alarm-(evaluator|notifier) services are still up and running.
When 'new alarming' is installed configured it's expected to have aforementioned services stopped & disabled.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-kilo-0.8.14-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.14-1.el7ost.noarch
openstack-tripleo-image-elements-0.9.9-1.el7ost.noarch
openstack-tripleo-common-0.3.1-1.el7ost.noarch
python-tripleoclient-0.3.4-1.el7ost.noarch
openstack-tripleo-0.0.7-1.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.5-1.el7ost.noarch

openstack-aodh-notifier-1.1.2-1.el7ost.noarch
openstack-aodh-evaluator-1.1.2-1.el7ost.noarch
openstack-aodh-api-1.1.2-1.el7ost.noarch
openstack-aodh-common-1.1.2-1.el7ost.noarch
openstack-aodh-listener-1.1.2-1.el7ost.noarch
python-aodh-1.1.2-1.el7ost.noarch

openstack-ceilometer-api-5.0.2-2.el7ost.noarch
python-ceilometerclient-1.5.2-1.el7ost.noarch
openstack-ceilometer-central-5.0.2-2.el7ost.noarch
openstack-ceilometer-collector-5.0.2-2.el7ost.noarch
python-ceilometer-5.0.2-2.el7ost.noarch
openstack-ceilometer-alarm-5.0.2-2.el7ost.noarch
openstack-ceilometer-notification-5.0.2-2.el7ost.noarch
openstack-ceilometer-polling-5.0.2-2.el7ost.noarch
openstack-ceilometer-common-5.0.2-2.el7ost.noarch

Expected results:
openstack-ceilometer-alarm-(evaluator|notifier) services are stopped and disabled.


Regards,
Yurii

Comment 8 Yurii Prokulevych 2016-06-28 11:51:12 UTC
systemctl status openstack-ceilometer-alarm-notifier.service
● openstack-ceilometer-alarm-notifier.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)

systemctl status openstack-ceilometer-alarm-evaluator.service
● openstack-ceilometer-alarm-evaluator.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)

Packages:
---------
openstack-tripleo-image-elements-0.9.9-6.el7ost.noarch
python-tripleoclient-2.0.0-1.0.4.el7ost.noarch
openstack-tripleo-0.0.8-0.2.d81bd6dgit.el7ost.noarch
openstack-tripleo-common-2.0.0-6.el7ost.noarch
openstack-tripleo-puppet-elements-2.0.0-2.el7ost.noarch

openstack-tripleo-heat-templates-liberty-2.0.0-12.el7ost.noarch
openstack-tripleo-heat-templates-2.0.0-12.el7ost.noarch
openstack-tripleo-heat-templates-kilo-2.0.0-12.el7ost.noarch

openstack-aodh-listener-2.0.1-3.el7ost.noarch
openstack-aodh-notifier-2.0.1-3.el7ost.noarch
openstack-aodh-api-2.0.1-3.el7ost.noarch
openstack-aodh-common-2.0.1-3.el7ost.noarch
python-aodh-2.0.1-3.el7ost.noarch
openstack-aodh-evaluator-2.0.1-3.el7ost.noarch

openstack-ceilometer-common-6.1.0-1.el7ost.noarch
openstack-ceilometer-collector-6.1.0-1.el7ost.noarch
openstack-ceilometer-central-6.1.0-1.el7ost.noarch
python-ceilometer-6.1.0-1.el7ost.noarch
openstack-ceilometer-notification-6.1.0-1.el7ost.noarch
openstack-ceilometer-polling-6.1.0-1.el7ost.noarch
python-ceilometerclient-2.3.0-1.el7ost.noarch
openstack-ceilometer-api-6.1.0-1.el7ost.noarch

Comment 10 errata-xmlrpc 2016-08-11 11:30:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.